Package picard.arrays.illumina

## Class IlluminaBPMLocusEntry

- java.lang.Object
- - picard.arrays.illumina.IlluminaBPMLocusEntry

-     public class IlluminaBPMLocusEntry
      extends Object

  A simple class to represent a locus entry in an Illumina Bead Pool Manifest (BPM) file

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaBPMLocusEntry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAddressA()` |
    `int` | `getAddressB()` |
    `String` | `getAlleleAProbeSeq()` |
    `String` | `getAlleleBProbeSeq()` |
    `int` | `getAssayType()` |
    `String` | `getChrom()` |
    `String` | `getCustomerStrand()` |
    `int` | `getExpClusters()` |
    `float` | `getFracA()` |
    `float` | `getFracC()` |
    `float` | `getFracG()` |
    `float` | `getFracT()` |
    `String` | `getGenomeBuild()` |
    `String` | `getIlmnId()` |
    `IlluminaManifestRecord.IlluminaStrand` | `getIlmnStrand()` |
    `int` | `getIndex()` |
    `int` | `getMapInfo()` |
    `String` | `getName()` |
    `int` | `getNormalizationId()` |
    `String` | `getPloidy()` |
    `htsjdk.tribble.annotation.Strand` | `getRefStrand()` |
    `String` | `getSnp()` |
    `String` | `getSource()` |
    `String` | `getSourceSeq()` |
    `IlluminaManifestRecord.IlluminaStrand` | `getSourceStrand()` |
    `String` | `getSourceVersion()` |
    `String` | `getSpecies()` |
    `String` | `getTopGenomicSeq()` |
    `int` | `getVersion()` |
    `boolean` | `isIntensityOnly()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IlluminaBPMLocusEntry

          public IlluminaBPMLocusEntry()

  - ### Method Detail

    - #### getVersion

          public int getVersion()

    - #### getIlmnId

          public String getIlmnId()

    - #### getName

          public String getName()

    - #### getIndex

          public int getIndex()

    - #### getIlmnStrand

          public IlluminaManifestRecord.IlluminaStrand getIlmnStrand()

    - #### getSnp

          public String getSnp()

    - #### getChrom

          public String getChrom()

    - #### getPloidy

          public String getPloidy()

    - #### getSpecies

          public String getSpecies()

    - #### getMapInfo

          public int getMapInfo()

    - #### getCustomerStrand

          public String getCustomerStrand()

    - #### getAddressA

          public int getAddressA()

    - #### getAlleleAProbeSeq

          public String getAlleleAProbeSeq()

    - #### getAddressB

          public int getAddressB()

    - #### getAlleleBProbeSeq

          public String getAlleleBProbeSeq()

    - #### getGenomeBuild

          public String getGenomeBuild()

    - #### getSource

          public String getSource()

    - #### getSourceVersion

          public String getSourceVersion()

    - #### getSourceStrand

          public IlluminaManifestRecord.IlluminaStrand getSourceStrand()

    - #### getSourceSeq

          public String getSourceSeq()

    - #### getTopGenomicSeq

          public String getTopGenomicSeq()

    - #### getExpClusters

          public int getExpClusters()

    - #### isIntensityOnly

          public boolean isIntensityOnly()

    - #### getAssayType

          public int getAssayType()

    - #### getFracA

          public float getFracA()

    - #### getFracC

          public float getFracC()

    - #### getFracT

          public float getFracT()

    - #### getFracG

          public float getFracG()

    - #### getRefStrand

          public htsjdk.tribble.annotation.Strand getRefStrand()

    - #### getNormalizationId

          public int getNormalizationId()